View Issue Details

IDProjectCategoryView StatusLast Update
0032547Open CASCADEOCCT:Visualizationpublic2022-08-19 01:20
Reporterkgv Assigned Tokgv  
PrioritynormalSeverityfeature 
Status resolvedResolutionopen 
Product Version7.6.0 
Target Version7.7.0 
Summary0032547: Visualization, Select3D_SensitiveCylinder - implement picking of a hollow cylinder
Description0032281 introduced Select3D_SensitiveCylinder for picking a solid cylinder.
However, in many cases it is desired picking a hollow cylinder and cylinder circular boundaries independently - in case of subshape decomposition or just in case of a hollow pipe definition (or maybe a pipe with addition thickness).
Steps To Reproduce
pload MODELING VISUALIZATION
pcylinder cyl 10 20
explode cyl F
vclear
vdisplay cyl_1 -dispmode 1
# KO - entities are not Select3D_SensitiveCylinder 

vclear
vdisplay cyl -dispmode 1
vselmode cyl FACES 1
# KO - entities are not Select3D_SensitiveCylinder 
TagsNo tags attached.
Test case number

Relationships

child of 0032281 closedbugmaster Visualization - add Select3D_SensitiveCylinder 

Activities

git

2022-01-24 10:35

administrator   ~0106551

Branch CR32547 has been created by svetlana.shutina_170290.

SHA-1: 206ed35b77050aff2b1bafc8ab3f890a1d09ac85


Detailed log of new commits:

Author: sshutina
Date: Mon Jan 24 10:16:50 2022 +0300

    0032547: Visualization, Select3D_SensitiveCylinder - implement picking of a hollow cylinder
    
     - cylinder overlap divided into 2 steps : intersection with cylinder disks and intersection with hollow cylinder

git

2022-08-15 10:57

administrator   ~0110234

Branch CR32547_1 has been created by mzernova.

SHA-1: 192de9590e79a09dd8f284dae3c1bc4c9fadac6b


Detailed log of new commits:

Author: mzernova
Date: Mon Aug 15 10:46:06 2022 +0300

    # Select3D_SensitiveCircle now inherits directly from Select3D_SensitiveEntity.
    # Added appropriate methods for selecting sensitive circles.
    # Added parameter myIsHollow to Select3D_SensitiveCylinder class.
    # It allows you to search for intersections with cylinders without covers.
    # Added tests: vselect/circle
    
    # TODO:
    # Define circle segments as sensitive polygons.
    # Add more hollow cylinder intersection tests.
    # Solve the problem with the inverted cylindrical surface.
    # Check how the sensitive circle intersection algorithm works with various transformations.
    # Reorganize the SelectMgr::ComputeSensitivePrs method, move the circle drawing to a separate method.

git

2022-08-15 17:33

administrator   ~0110238

Branch CR32547_1 has been updated by mzernova.

SHA-1: 1acafac69a985bde0e561cb851203838bdc9ddf7


Detailed log of new commits:

Author: mzernova
Date: Mon Aug 15 17:33:06 2022 +0300

    # Added Select3D_SensitiveCircleSector class for sensitive arc and segments.
    # Added test: vselect/circle/transformed
    
    # TODO:
    # Add more hollow cylinder intersection tests.
    # Solve the problem with the inverted cylindrical surface.

git

2022-08-16 18:18

administrator   ~0110248

Branch CR32547_1 has been updated by mzernova.

SHA-1: dd39479dbaed46ab7905de41ee9aec1d240bf416


Detailed log of new commits:

Author: mzernova
Date: Tue Aug 16 18:18:20 2022 +0300

    # Fixed some bugs
    # Added test: vselect/cone_cylinder/hollow_cone_cyl
    
    # TODO:
    # Solve the problem with the inverted cylindrical surface.
    # Update v3d/manipulator tests

git

2022-08-18 15:30

administrator   ~0110296

Branch CR32547_1 has been updated by mzernova.

SHA-1: 1c33d22ce7e61238917ea9583e0de73881bf9905


Detailed log of new commits:

Author: mzernova
Date: Thu Aug 18 15:30:24 2022 +0300

    # Fixed the problem with the inverted cylindrical surface.

Author: mzernova
Date: Thu Aug 18 11:39:46 2022 +0300

    # fix tests

git

2022-08-18 17:13

administrator   ~0110301

Branch CR32547_2 has been created by mzernova.

SHA-1: 20657f3c61c42f3d8c8b8dc2b26374f98c59e7fe


Detailed log of new commits:

Author: mzernova
Date: Thu Aug 18 17:12:03 2022 +0300

    Select3D_SensitiveCircle now inherits directly from Select3D_SensitiveEntity.
    Added Select3D_SensitiveCircleSector class for sensitive arc and segments.
    
    Added appropriate methods for selecting sensitive circles.
    Added parameter myIsHollow to Select3D_SensitiveCylinder class.
    It allows you to search for intersections with cylinders without covers.
    
    Added tests: vselect/circle/circle_wire
                 vselect/circle/filled_circle
                 vselect/circle/transformed
                 vselect/cone_cylinder/hollow_cone_cyl

git

2022-08-18 17:54

administrator   ~0110305

Branch CR32547_2 has been updated forcibly by mzernova.

SHA-1: ce755aacc54e9d5b9440ed49f3ce5bf350dea217

mzernova

2022-08-19 01:04

developer   ~0110312

http://jenkins-test-occt.nnov.opencascade.com/view/CR32547-master-mzernova

mzernova

2022-08-19 01:20

developer   ~0110313

The patch CR32547 is ready to review

Issue History

Date Modified Username Field Change
2021-08-30 17:02 kgv New Issue
2021-08-30 17:02 kgv Assigned To => kgv
2021-08-30 17:02 kgv Relationship added child of 0032281
2021-08-30 17:05 kgv Steps to Reproduce Updated
2021-09-06 16:39 kgv Assigned To kgv => sshutina
2021-09-06 16:39 kgv Status new => assigned
2022-01-24 10:35 git Note Added: 0106551
2022-08-01 15:07 kgv Assigned To sshutina => mzernova
2022-08-15 10:57 git Note Added: 0110234
2022-08-15 17:33 git Note Added: 0110238
2022-08-16 18:18 git Note Added: 0110248
2022-08-18 15:30 git Note Added: 0110296
2022-08-18 17:13 git Note Added: 0110301
2022-08-18 17:54 git Note Added: 0110305
2022-08-19 01:04 mzernova Note Added: 0110312
2022-08-19 01:20 mzernova Assigned To mzernova => kgv
2022-08-19 01:20 mzernova Status assigned => resolved
2022-08-19 01:20 mzernova Note Added: 0110313